Bug 1314129 - pam_limits in documentation is incorrect for el6 and el7
pam_limits in documentation is incorrect for el6 and el7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-installation-guide (Show other bugs)
10.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
:
: 1291620 1310280 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 19:49 EST by wibrown@redhat.com
Modified: 2016-12-19 04:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-16 05:42:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wibrown@redhat.com 2016-03-02 19:49:27 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Directory_Server/10/html/Installation_Guide/Preparing_for_a_Directory_Server_Installation-Considerations.html

Section Number and Name: 1.2.4. File Descriptors

Describe the issue: 

  Part 4 suggests:

session required /lib/security/$ISA/pam_limits.so

Suggestions for improvement: 

pam_limits is part of pam.d configs bf default since rhel 6. 

The actual line should be:

session required pam_limits.so

Additionally, on el7 the correct way to increase the file limits for the directory server process is to edit 

/etc/sysconfig/dirsrv.systemd

Which is included by the dirsrv@.service file.

Thanks!
Comment 3 Marc Muehlfeld 2016-11-28 08:58:23 EST
*** Bug 1310280 has been marked as a duplicate of this bug. ***
Comment 5 Marc Muehlfeld 2016-12-16 05:42:33 EST
The update is now available on the Customer Portal.
Comment 6 Marc Muehlfeld 2016-12-19 04:43:05 EST
*** Bug 1291620 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.